import type { AnchorHTMLAttributes, HTMLAttributes, RefObject } from "react";
import type { AnchorProps, BoxProps } from "../../../ui";
export declare const ResultTitle: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & AnchorProps & AnchorHTMLAttributes<HTMLAnchorElement>, {}, {}>;
export declare const SearchResultContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & BoxProps & HTMLAttributes<HTMLButtonElement> & {
    isActive?: boolean | undefined;
    isSelected?: boolean | undefined;
    component?: string | undefined;
    ref?: RefObject<HTMLButtonElement> | null | undefined;
}, {}, {}>;
export declare const ResultNameSection: import("@emotion/styled").StyledComponent<import("../../../ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const LoadingSection: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & BoxProps, {}, {}>;
export declare const XRaySection: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & BoxProps, {}, {}>;
export declare const XRayButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("../../../ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
export declare const DescriptionSection: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & {
    children?: import("react").ReactNode;
}, {}, {}>;
export declare const DescriptionDivider: import("@emotion/styled").StyledComponent<import("../../../ui").DividerProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchResultDescription: import("@emotion/styled").StyledComponent<import("../../../core/components/Markdown/Markdown").MarkdownProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
